<?php
require "header.php";
$admin = true;
require "authenticatie.php";

if ($_POST["verzend"]) {

	$sql = "SELECT achternaam, tussenvoegsel, voorletters, geslacht, Email_prive FROM Klant LIMIT 0,1";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	if (mysql_num_rows($resultaat) > 0) {
		echo "<p><div class=\"big\">Verstuur mail</div><br>";

		// start maken nieuwsbrief

		require("phpmailer/class.phpmailer.php");

		$mail = new PHPMailer();

		$mail->From     = "burger@leer-php.nl";
		$mail->FromName = "Arjan Burger";
		$mail->Subject	= $_POST["onderwerp"];

		while (list($achternaam, $tussenvoegsel, $voorletters, $geslacht, $email) = mysql_fetch_row($resultaat)) {

			// nieuwe nieuwsbrief

			$inhoud = $_POST["nieuwsbrief"];	

			// vervang velden
			if ($geslacht == "m") {
				$aanhef = "heer";
			} else {
				$aanhef = "mevrouw";
			}
			$inhoud = ereg_replace("{aanhef}", $aanhef, $inhoud);
			$datum = date("d-m-Y", time());
			$inhoud = ereg_replace("{datum}", $datum, $inhoud);

			// alle velden omzetten

			$aantal = mysql_num_fields($resultaat);

			for ($change=0; $change < $aantal; $change++) {

				$veldnaam = strtolower(mysql_field_name($resultaat, $change));
				$waarde = mysql_result($resultaat,$nr,$change);
				$waarde = stripslashes($waarde);
				$waarde = str_replace("\$", "\\$", $waarde);
				$string = "\$inhoud = ereg_replace(\"{".$veldnaam."}\", \"".$waarde."\", \$inhoud);";
				eval($string);

			}

			$body = "<html><head><title>".$_POST["onderwerp"]."</title><body style='font-family: Arial; font-size: 11pt'>$inhoud</body></html>";
			$body = nl2br($body); // vervang enters door <br>

			$mail->Body    = $body;
			$mail->AltBody = $inhoud;

			$geadresseerde = $voorletters;
			if ($tussenvoegsel) {
				$geadresseerde .= $tussenvoegsel;
			}
			$geadresseerde .= $achternaam;

			$mail->AddAddress($email, $geadresseerde);

			// versturen
			if(!$mail->Send())
				echo "De mail is niet goed verstuurd!<br>";

			// Wis de mailadressen weer
			$mail->ClearAddresses();

		}

		echo "Er zijn ".mysql_num_rows($resultaat)." mails verstuurd.";
	}

} else {

	echo "<p><div class=\"big\">Nieuwsbrief versturen</div><br>";
	echo "Nieuwsbrief:<br/>";
	echo "<form method=\"POST\" action=\"".$_SERVER["PHP_SELF"]."\">";
	echo "Onderwerp: <input type=\"text\" name=\"onderwerp\"><br/>";
	echo "<textarea rows=20 cols=50 name=\"nieuwsbrief\">Type hier uw nieuwsbrief</textarea><br/>";
	echo "<input type=\"submit\" name=\"verzend\" value=\"verzend\"></form>";

}


require "footer.php";

?>
